# Configure AWS keys in GitLab project settings > CI/CD > Variables

default:
  before_script:
    - |
      if [ "$CI_COMMIT_BRANCH" == "master" ]; then
        export AWS_ACCESS_KEY_ID=$PROD_AWS_ACCESS_KEY_ID
        export AWS_SECRET_ACCESS_KEY=$PROD_AWS_SECRET_ACCESS_KEY
        export DEPLOY_TARGET="s3://archie.beeri.org.il/"
      else
        export DEPLOY_TARGET="s3://archie-beeri.dev.arinamal.com/"
      fi

stages:
  - build
  - deploy

build-job:
  stage: build
  image: node:lts
  script:
    # prepare env constants
    - apt-get update
    - apt-get install python3-boto3 -y
    - echo "AWS_ACCESS_KEY_ID is $AWS_ACCESS_KEY_ID"
    - devops/pre_build.py
    # build
    - npm install
    - npm run build
    # add build properties
    - echo "CI_PIPELINE_IID = $CI_PIPELINE_IID" > build/about.txt
    - echo "CI_COMMIT_BRANCH = $CI_COMMIT_BRANCH" >> build/about.txt
    - echo "CI_COMMIT_TITLE = $CI_COMMIT_TITLE" >> build/about.txt
  artifacts:
    paths:
      - build/

deploy-job:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  dependencies:
    - build-job
  script:
    - aws s3 sync "build/" $DEPLOY_TARGET --delete
